using System;
using System.Collections.Generic;
using System.Text;
using Howest.Guidance.Extensions.Common.Configuration;
using System.Configuration;

namespace Howest.Guidance.Extensions.Common.Data
{
	[ConfigurationCollection(typeof(DataProviderElement), AddItemName = "provider")]
	public class DataProviderElementCollection : ExtensionsEnhancedConfigurationElementCollection<DataProviderElement>
	{
		public DataProviderElementCollection()
			: base("provider")
		{
		}

		protected override object GetElementKey(System.Configuration.ConfigurationElement element)
		{
			if (element == null)
			{
				throw new ArgumentNullException("element");
			}
			DataProviderElement element2 = (DataProviderElement)element;
			return element2.Name;
		}
	}
}

